[问题]新得立打不开,弹出的对话框

重复贴和参考价值不大的帖子,版主维护
深林蓝
帖子: 56
注册时间: 2007-10-06 15:12
送出感谢: 0
接收感谢: 0

[问题]新得立打不开,弹出的对话框

#1

帖子 深林蓝 » 2007-10-27 11:46

早上根据WIKI里的快速设置指南安装了JAVA,但是到出现一个蓝色界面有“确定”的那地方就没什么反应了,我按回车也没什么反应。然后我就直接关了终端。不知道是不是这个原因,我安装新的更新的时候,新得力打不开了,打开就弹出这个对话框,框里就所这两行字,我看不懂,请前辈帮忙。谢谢先

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.
:)
lb_bn
帖子: 1261
注册时间: 2007-02-25 16:56
送出感谢: 0
接收感谢: 0

#2

帖子 lb_bn » 2007-10-27 12:02

sudo dpkg --configure dpkg
头像
Element
论坛版主
帖子: 3537
注册时间: 2005-09-10 16:04
来自: DG-GD-China
送出感谢: 0
接收感谢: 0

#3

帖子 Element » 2007-10-27 12:11

you must manually run 'dpkg --configure -a' to correct the problem.
不都提示你该怎么做了吗
http://element.blog.ubuntu.org.cn/
Ubuntu Jaunty Jackalope...
AMD Barton 2600+
MSI K7N2 Delta-L
Kingston DDR400 512M*2+256M*1
nVidia FX5200
Seagate 80G(Jaunty Jackalope)
Seagate 160G(XXxxXX)
SyncMaster 732N
深林蓝
帖子: 56
注册时间: 2007-10-06 15:12
送出感谢: 0
接收感谢: 0

#4

帖子 深林蓝 » 2007-10-27 12:31

:oops: 英文不好。谢谢啦!不过还是不明白为什么会出现这种情况。
头像
Element
论坛版主
帖子: 3537
注册时间: 2005-09-10 16:04
来自: DG-GD-China
送出感谢: 0
接收感谢: 0

#5

帖子 Element » 2007-10-27 15:21

系统在设置JAVA的时候你中断的原因
确定那个地方,先用TAB键到确定按钮上,再回车
http://element.blog.ubuntu.org.cn/
Ubuntu Jaunty Jackalope...
AMD Barton 2600+
MSI K7N2 Delta-L
Kingston DDR400 512M*2+256M*1
nVidia FX5200
Seagate 80G(Jaunty Jackalope)
Seagate 160G(XXxxXX)
SyncMaster 732N
深林蓝
帖子: 56
注册时间: 2007-10-06 15:12
送出感谢: 0
接收感谢: 0

#6

帖子 深林蓝 » 2007-10-27 17:41

原来,好嘞,重新安装一次JAVA!
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#7

帖子 dbzhang800 » 2007-10-27 19:39

深林蓝 写了:原来,好嘞,重新安装一次JAVA!
重装一次Java?应该是中途被你强行终止了,现在继续而已
深林蓝
帖子: 56
注册时间: 2007-10-06 15:12
送出感谢: 0
接收感谢: 0

#8

帖子 深林蓝 » 2007-10-27 22:44

代码: 全选

$ sudo dpkg --configure dpkg
dpkg:处理 dpkg (--configure)时出错:
 您已经安装并配置了软件包 dpkg
在处理时有错误发生:
 dpkg
报告,按大家指导作了之后就这样了,那个错误我不知道唉~~
lb_bn
帖子: 1261
注册时间: 2007-02-25 16:56
送出感谢: 0
接收感谢: 0

#9

帖子 lb_bn » 2007-10-27 22:49

深林蓝 写了:

代码: 全选

$ sudo dpkg --configure dpkg
dpkg:处理 dpkg (--configure)时出错:
 您已经安装并配置了软件包 dpkg
在处理时有错误发生:
 dpkg
报告,按大家指导作了之后就这样了,那个错误我不知道唉~~
不用管。。。
现在dpkg 又可以装东东了。。。 :D
深林蓝
帖子: 56
注册时间: 2007-10-06 15:12
送出感谢: 0
接收感谢: 0

#10

帖子 深林蓝 » 2007-10-27 22:58

9楼前辈说的我不明白呢~
那个装什么新的东西呢?问题是现在我新得立用不了,下的更新安装不上。
什么都安装不上了,只要和新得立和程序管理有关系的都没法用。
lb_bn
帖子: 1261
注册时间: 2007-02-25 16:56
送出感谢: 0
接收感谢: 0

#11

帖子 lb_bn » 2007-10-27 23:01

深林蓝 写了:9楼前辈说的我不明白呢~
那个装什么新的东西呢?问题是现在我新得立用不了,下的更新安装不上。
什么都安装不上了,只要和新得立和程序管理有关系的都没法用。
运行了这个之后, 再用sudo apt-get remove 你没装好的软件。。。(先不要用新立得)
主要是当心你运行sudo dpkg --configure -a也不能装好你没有装完的软件。。。

或者试一下sudo apt-get install -f
lb_bn
帖子: 1261
注册时间: 2007-02-25 16:56
送出感谢: 0
接收感谢: 0

#12

帖子 lb_bn » 2007-10-27 23:08

ps:装java到选确定那一步,用tab键或左右方向键。。
深林蓝
帖子: 56
注册时间: 2007-10-06 15:12
送出感谢: 0
接收感谢: 0

#13

帖子 深林蓝 » 2007-10-27 23:16

YEAH~~
可以啦!谢谢前辈们呀!
今天学会了用TAB键和sudo apt-get install -f,不过-f是指什么单词呀?
还有就是我原先用的是7.04,FIREFOX是1.5的,现在我是7.10的,FIREFOX是2.0的,但是我不知道为什么我更新了源然后下了中文包后,上方任务栏的FIREFOX2.0就不能用了,现在我下了个1.5的,用终端的话怎么指定安装2.0的啊?
sudo apt-get install (……?)
lb_bn
帖子: 1261
注册时间: 2007-02-25 16:56
送出感谢: 0
接收感谢: 0

#14

帖子 lb_bn » 2007-10-27 23:19

试一下sudo apt-get install firefox
ps:运行一下apt-get help就知道 -f 是什么意思了
深林蓝
帖子: 56
注册时间: 2007-10-06 15:12
送出感谢: 0
接收感谢: 0

#15

帖子 深林蓝 » 2007-10-29 9:22

我就是apt-get install firefox,结果安装的是1.5的。是不是跟源有关系?
回复

回到 “归档贴”